WordPress.org

Ready to get started?Download WordPress

Forums

AAPass Pro:Fatal error line 458 when accessing options (12 posts)

  1. tallthom
    Member
    Posted 6 years ago #

    Just installed the AskApache plugin and got this error message when I tried to access the AAPass Pro Options tab:

    Fatal error: Call to undefined function: file_put_contents() in /my-site/public_html/wordpress/wp-content/plugins/askapache-password-protect/askapache-password-protect.php on line 458

    Is there something I'm doing wrong?

    http://wordpress.org/extend/plugins/askapache-password-protect/

  2. Roy
    Member
    Posted 6 years ago #

    And I get a blank screen when trying to access the options page. I removed it and reinstalled the older version.

  3. Serge2
    Member
    Posted 6 years ago #

    Same here! ...It sounds promising though!

  4. Nimicohgr
    Member
    Posted 6 years ago #

    File_put_contents() is a PHP5 function. If you're using PHP4 you will receive an error that the function is undefined. There are some "hacks" for PHP4 to add the function, you'll have to search Google for them. Otherwise, you'll need to upgrade to PHP5.

    On a side note, the plugin isn't detecting that I am running Apache. I am running Apache 2.x. I read somewhere that this plugin doesn't like it if you install wordpress into the root of your site www directory. Any ideas?

    Error Creating /var/www/.htpasswdaa1

    FATAL ERROR! response code: 500
    My thorough testing shows your server isnt good enough to to handle .htaccess / .htpasswd files. Switch to Apache

  5. AskApache
    Member
    Posted 6 years ago #

    Working on it....

  6. tallthom
    Member
    Posted 6 years ago #

    Nimicohgr: thanks for the explanation about PHP5 functions that are not in PHP4. I activated PHP5 on my server and I can configure AAPass Pro options now. Thank you very much.

    cduke250: I encountered a similar error message that Nimicohgr found with the "switch to Apache" recommendation. I didn't get a fatal error, just a message with 404 during the configuration screen load. I was able to configure the options and I think I am protected (at least I get asked for a password when I try to access the wp-admin directory, so this is good!)

    Let me know if you need more information!

  7. AskApache
    Member
    Posted 6 years ago #

    yes the way it works is you type in the username and password the first time you try to access anything in wp-admin/, if you type the right password it gets saved in your browser and is automatically sent in your HTTP headers for every request within the /wp-admin/ realm.

    This is one of the oldest most widely supported basic means of auth no the net, the plugin is minimal for now.

    PHP5 is soo much better btw!

  8. Mario_AU
    Member
    Posted 6 years ago #

    installed ok, activate, turns green,
    go to options and the module and get:
    "ERROR CREATING TEST DIRECTORY"
    &
    FATAL ERROR
    Please disable this plugin but dont delete, updates are on the horizon.

    so i go back to plugins to deactivate and upon pressing the deactivate button i get:

    Warning: fopen(/home/taxi583/www/wordpress/wp-admin/.htaccess): failed to open stream: Permission denied in /home/taxi583/www/wordpress/wp-admin/includes/misc.php on line 55

    Warning: fwrite(): supplied argument is not a valid stream resource in /home/taxi583/www/wordpress/wp-admin/includes/misc.php on line 80

    Warning: fwrite(): supplied argument is not a valid stream resource in /home/taxi583/www/wordpress/wp-admin/includes/misc.php on line 82

    Warning: fwrite(): supplied argument is not a valid stream resource in /home/taxi583/www/wordpress/wp-admin/includes/misc.php on line 83

    Warning: fclose(): supplied argument is not a valid stream resource in /home/taxi583/www/wordpress/wp-admin/includes/misc.php on line 85

    Warning: Cannot modify header information - headers already sent by (output started at /home/taxi583/www/wordpress/wp-admin/includes/misc.php:55) in /home/taxi583/www/wordpress/wp-includes/pluggable.php on line 390

    anyway, after i go back to blog/admin the plugin IS deactivated, so that's ok at least....

    any ideas ??? does this plugin require php 5 ? my host uses 4.xx

    thanks...

  9. Mario_AU
    Member
    Posted 6 years ago #

    bump ok ?

  10. DonnaFoo
    Member
    Posted 6 years ago #

    Installed version 3.2, activated, green. Clicked on "Options configuration panel" or "Options > AA PassPro" and there is nothing but a blank page.

    Any resolution would be greatly appreciated. I will deactivate for now.

  11. AskApache
    Member
    Posted 6 years ago #

    Should work now.. an ongoing process.

  12. vrroot
    Member
    Posted 5 years ago #

    I have a blank options page with current version. wp 2.5.1

Topic Closed

This topic has been closed to new replies.

About this Topic